Bug 85872 - problems maximizing windows w/ xrandr
problems maximizing windows w/ xrandr
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-09 18:13 EST by ajs
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 17:51:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/XF86Config (3.22 KB, text/plain)
2003-03-09 19:34 EST, ajs
no flags Details
/var/log/XFree86.0.log (44.78 KB, text/plain)
2003-03-09 19:37 EST, ajs
no flags Details

  None (edit)
Description ajs 2003-03-09 18:13:31 EST
Description of problem:
Windows don't maximize properly after the resolution has been changed with xranr.

Version-Release number of selected component (if applicable):
phoebe-3 + rawhide + XFree86-4.3.0-2.1


How reproducible:
always (with Gnome at least)

Steps to Reproduce:
1. start an X session
2. change resolutions with xrandr
3. maximize a window
    
Actual results:
The windows's extents don't seem to take into account the panel:  The panel
overlaps the window.


Expected results:
The maximized window should extend up to the edge of the panel.

Additional info:
Comment 1 ajs 2003-03-09 18:21:59 EST
I forgot to mention that I have an ATI Radeon Mobility 7500 (Sony VAIO GRX 6xx)
Comment 2 Mike Chambers 2003-03-09 18:30:02 EST
Please attach your XFree Config & Log files & the output of uname -a
Comment 3 ajs 2003-03-09 18:55:44 EST
Log files? Plural?

I was going to attach /var/log/XFree86.0.log; do you want something else?
Comment 4 ajs 2003-03-09 19:34:00 EST
Created attachment 90537 [details]
/etc/X11/XF86Config

Other than commented 'Modes' line, generated by 'xconfig --card "ATI Radeon
Mobility 7500" --videoram 32768 --monitor "Generic Laptop Display Panel
1600x1200" --resolution 1600x1200 --depth 16 --startxonboot --defaultdesktop
gnome' in my kickstart file.
Comment 5 ajs 2003-03-09 19:37:03 EST
Created attachment 90538 [details]
/var/log/XFree86.0.log

log file after
1) start an X session in 1600x1200 mode
2) 'xrandr -s 2' (switch to 1280x1024)
Comment 6 ajs 2003-03-09 19:38:37 EST
'uname -a' yields:
Linux sonylap1 2.4.20-2.54 #1 Sat Feb 22 08:27:12 EST 2003 i686 i686 i386 GNU/Linux

Going offline until tomorrow morning.
Comment 7 Mike A. Harris 2003-03-10 05:31:09 EST
Window mechanics have nothing to do with XFree86.  They are window manager
specific behaviour.

If you are using a window manager which is part of Red Hat Linux, please
reassign this to the window manager component that you are using, the
default for GNOME is metacity, while KDE is kwin.  If you're using an add-on
window manager, then this is a bug in that window manager.
Comment 8 Havoc Pennington 2003-03-12 11:40:43 EST
Does it start working if you move a panel (e.g. to the left side, then back to
bottom, or something)
Comment 9 ajs 2003-03-12 13:46:25 EST
Using the properties dialog for my bottom edge panel and changing from bottom to
top and back does fixes things.
Comment 10 Havoc Pennington 2003-10-03 17:51:44 EDT
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=123802

Note You need to log in before you can comment on or make changes to this bug.